.TH KDCREGISTER 1
.SH NAME
kdcregister \- add a principal and extract a (random) key to a given keytab
.SH SYNOPSIS
.B kdcregister
[
.B \-c
] [
.B \-f
] [
.B \-p
.IR principal
] [
.B \-k
.IR source-keytab
] [
.B \-t
.IR target-keytab
]
.IR principal[/instance][@realm]
.SH DESCRIPTION
The
.B kdcregister
command is used to add a principal to a remote Kerberos database and extract
that principal's key to a keytab. 
.PP
The principal that it authenticates as is controlled from the command line.
If the
.B -k
option is specified, it uses the "hostclient/hostname" principal from the given 
keytab. If the 
.B -p 
option is specified, it uses the principal given on the command
line, otherwise it uses the default principal in the current credentials
cache.
.PP
The key is extracted to the default keytab, unless the 
.B -t
option is given, in which case the keys are extracted to this keytab. No
checks on ownership or protection of keytabs are made - it is up to the
caller to ensure that these are secure.
.PP
If the principal already exists in the KDC, then an error will be given,
unless the
.B -f
option is specified, in which case a new key is generated in the specified
keytab. As this causes new random keys to be generated, a principal cannot
exist simultaneously in multiple keytabs.
.PP
.PP
.SH OPTIONS
.TP
.B \-c
Check to see if the key exists in the current keytab, if so don't bother
contacting the KDC. Use with care, as it could result in syncronisation
issues.
.TP
.B \-f
Force extraction of the key, regardless of whether the principal already
exists.
.TP
\fB\-p\fP \fIprincipal\fP
Principal to connect to the kadmin server as
.TP
\fB\-k\fP \fIsource-keytab\fP
Filename of the keytab to get the principal to authenticate to the server
as. Note that
.B -p
is not compatible with this option.
.TP
\fB\-t\fP \fItarget-keytab\fP
Target keytab to place extract key(s) into
.SH HISTORY
The 
.B kdcregister
program was originally written by Simon Wilkinson, as part of the DICE
project at the Division of Informatics, University of Edinburgh
.SH FILES 
.TP 2i
/etc/krb5.keytab
the default keytab
.SH SEE ALSO
.IR kerberos (1),
.IR kadmin(8)
.SH BUGS

